This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 239448 - comma in liste of ExcludeArchs will not recorgnise correctly
comma in liste of ExcludeArchs will not recorgnise correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 10:56 EDT by Jochen Schmitt
Modified: 2008-05-06 21:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:42:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2007-05-08 10:56:06 EDT
Description of problem:

I have created a SPEC file, which contains the following line:

ExcludeArch: x86_64, pppc64

in this case rpm will build the package on a x86_64 system. But when
you remove the coma after x86_64 rpm will complaints the arch as
expected.

Version-Release number of selected component (if applicable):

rpm-4.4.2-33
Comment 1 Jeff Johnson 2007-05-09 07:47:24 EDT
Comma is not a permitted separator in ExcludeArch, white space only.

WONTFIX
Comment 2 Red Hat Bugzilla 2007-08-21 01:34:13 EDT
User pnasrat@redhat.com's account has been closed
Comment 3 Panu Matilainen 2007-08-22 02:31:09 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 4 Bug Zapper 2008-04-03 20:36:24 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:42:42 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.